---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libap12t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x46F0, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x506E0, symBinAddr: 0xC320, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52620, symBinAddr: 0xE260, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52A10, symBinAddr: 0xE650, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x539B0, symBinAddr: 0xF5F0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x539C0, symBinAddr: 0xF600, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50210, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50214, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50218, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50370, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50428, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5042C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50430, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50434, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50438, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50440, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50450, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50458, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50460, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50468, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50470, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50478, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL8obj_free, symObjAddr: 0x504BC, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x504C0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9504, offset: 0x9504, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x504C8, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x951D, offset: 0x951D, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x504D8, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x956F, offset: 0x956F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3390, symSize: 0x80 }
  - { offsetInCU: 0x9604, offset: 0x9604, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x32E0, symSize: 0xB0 }
  - { offsetInCU: 0x965F, offset: 0x965F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x31E0, symSize: 0x100 }
  - { offsetInCU: 0x98F2, offset: 0x98F2, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x3410, symSize: 0xC0 }
  - { offsetInCU: 0x9944, offset: 0x9944, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x34D0, symSize: 0x220 }
  - { offsetInCU: 0x9B29, offset: 0x9B29, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x36F0, symSize: 0xA0 }
  - { offsetInCU: 0x9BDC, offset: 0x9BDC, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3790, symSize: 0x110 }
  - { offsetInCU: 0x9CD2, offset: 0x9CD2, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x38A0, symSize: 0x150 }
  - { offsetInCU: 0x9E2F, offset: 0x9E2F, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x39F0, symSize: 0x30 }
  - { offsetInCU: 0x9EF0, offset: 0x9EF0, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3A20, symSize: 0x150 }
  - { offsetInCU: 0xA0E8, offset: 0xA0E8, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3B70, symSize: 0x160 }
  - { offsetInCU: 0xA3A8, offset: 0xA3A8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x3CD0, symSize: 0x4A0 }
  - { offsetInCU: 0xA61B, offset: 0xA61B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4170, symSize: 0x1B0 }
  - { offsetInCU: 0xA836, offset: 0xA836, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4320, symSize: 0xA0 }
  - { offsetInCU: 0xA905, offset: 0xA905, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x43C0, symSize: 0x20 }
  - { offsetInCU: 0xA93C, offset: 0xA93C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x43E0, symSize: 0x20 }
  - { offsetInCU: 0xA973, offset: 0xA973, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4400, symSize: 0x20 }
  - { offsetInCU: 0xAAE2, offset: 0xAAE2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4420, symSize: 0x1A0 }
  - { offsetInCU: 0xADFE, offset: 0xADFE, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x45C0, symSize: 0x130 }
  - { offsetInCU: 0xAFAE, offset: 0xAFAE, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x4960, symSize: 0x1B0 }
  - { offsetInCU: 0xB29D, offset: 0xB29D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4B10, symSize: 0x80 }
  - { offsetInCU: 0xB366, offset: 0xB366, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4B90, symSize: 0x6A0 }
  - { offsetInCU: 0xBEFB, offset: 0xBEFB, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA430, symBinAddr: 0x6150, symSize: 0xB0 }
  - { offsetInCU: 0xBF72, offset: 0xBF72, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5230, symSize: 0x70 }
  - { offsetInCU: 0xC02E, offset: 0xC02E, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x52A0, symSize: 0xA0 }
  - { offsetInCU: 0xC159, offset: 0xC159, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5340, symSize: 0x40 }
  - { offsetInCU: 0xC24F, offset: 0xC24F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5380, symSize: 0x2B0 }
  - { offsetInCU: 0xC5F5, offset: 0xC5F5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5630, symSize: 0xC0 }
  - { offsetInCU: 0xC73B, offset: 0xC73B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x56F0, symSize: 0x10 }
  - { offsetInCU: 0xC7FD, offset: 0xC7FD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5700, symSize: 0x220 }
  - { offsetInCU: 0xCAFA, offset: 0xCAFA, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5920, symSize: 0x10 }
  - { offsetInCU: 0xCB57, offset: 0xCB57, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5930, symSize: 0x480 }
  - { offsetInCU: 0xD086, offset: 0xD086, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA090, symBinAddr: 0x5DB0, symSize: 0x10 }
  - { offsetInCU: 0xD0E3, offset: 0xD0E3, size: 0x8, addend: 0x0, symName: _ObjectFree, symObjAddr: 0xA0A0, symBinAddr: 0x5DC0, symSize: 0x30 }
  - { offsetInCU: 0xD12E, offset: 0xD12E, size: 0x8, addend: 0x0, symName: _VMDeath, symObjAddr: 0xA0D0, symBinAddr: 0x5DF0, symSize: 0x70 }
  - { offsetInCU: 0xD187, offset: 0xD187, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_allocation_AP12_ap12t001_setTag, symObjAddr: 0xA140, symBinAddr: 0x5E60, symSize: 0xA0 }
  - { offsetInCU: 0xD275, offset: 0xD275, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_allocation_AP12_ap12t001_flushObjectFreeEvents, symObjAddr: 0xA1E0, symBinAddr: 0x5F00, symSize: 0x90 }
  - { offsetInCU: 0xD35D, offset: 0xD35D, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA270, symBinAddr: 0x5F90, symSize: 0x1C0 }
  - { offsetInCU: 0xD580, offset: 0xD580, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA4E0, symBinAddr: 0x6200, symSize: 0x36A }
...
